<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bTiposReforma,m05bClasses.* ,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<HTML>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<head>
		<title><%= resTit.getString("titMtoReformas")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
</head>
<BODY onkeydown="cancelaEnter();" style="cursor: wait" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<%
	int cod=0;
	String codigo, descripcion="", descripcionEu="",accion="", mensaje="";

	codigo = request.getParameter("Codigo");
	accion = request.getParameter("Accion")==null?"":request.getParameter("Accion");
	mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");

	m05bTiposReforma tiposreforma = null;
	if ( accion.equals(m05bConstantes.ACC_INSERTAR)  
			&& (!(mensaje.equals("Existe"))) ) {
		/*m05bGenerarClave miCodigo = new m05bGenerarClave();
	    codigo=codigo+miCodigo.getNextId(m05bConstantes.TAB_TIPOREFORMAS, m05bConstantes.COL_38_CODIGO);
		accion=m05bConstantes.ACC_INSERTAR;*/
		session.removeAttribute("m05bTiposReforma");
	} else   {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		tiposreforma = (m05bTiposReforma)session.getAttribute("m05bTiposReforma");
	    //codigo=tiposreforma.getTrf_codigo();
	    descripcion=tiposreforma.getTrf_descripcion();
	    descripcionEu=tiposreforma.getTrf_descripcionEu();
	}
    if (codigo== null || codigo.equals("NULL")){
		codigo= "";
    }
    if (descripcion==null || descripcion.equals("NULL")) {
        descripcion="";
    }
    if (descripcionEu==null || descripcionEu.equals("NULL")) {
    	descripcionEu="";
    }

	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)) {
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 20));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_INTEGRIDAD)){
		accion=m05bConstantes.ACC_ACTUALIZAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 5));</script>");
	}
	outMsg.close();
%>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_TIPOS_REFORMA%>?Codigo=<%=codigo%>&Mensaje=<%=mensaje%>&Accion=<%=accion%>";
	detPadre = '<%=resCM.getString("cmMtoReformas")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_TIPOS_REFORMA%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoReformas")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formTiposReforma" METHOD="POST">
					  <TABLE class="general">
					    <tr>
					      <td width="90%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value,'<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					  </TABLE>
						<p>
					  <TABLE class="general">
					    <tr>
					      <td width="15%" valign="top" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
					      <td width="35%" valign="top" class="inputFieldTitle"><%= res.getString("etDescripcion")%></td>
					       <td width="35%" valign="top" class="inputFieldTitle"><%= res.getString("etDescripcionEu")%></td>
					    </tr>
					    <tr>
					      <% if (codigo.equals(""))  {  %>
					     		<td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" size="25" maxlength="15"/> </td>
						  <% } 
						  	else  { %>
					      		<td align="left"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" DISABLED VALUE="<%=codigo%>" size="25" maxlength="15"/> </td>
					      <%  }  %>      
						    	<td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Descripcion" VALUE="<%=descripcion%>" size="60" maxlength="70"/></td>
						    	<td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="DescripcionEu" VALUE="<%=descripcionEu%>" size="60" maxlength="70"/></td>
					    </tr>
					  </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<script language="JavaScript">
   function fncGrabar(codigo,accion) {
   	    var docu = document.formTiposReforma;
   	    
   	    if(docu.Descripcion.value==""||docu.DescripcionEu.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Descripcion.focus();
			return;
		}
		if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')||existeCaracter(docu.DescripcionEu.value,"\'")||existeCaracter(docu.DescripcionEu.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Descripcion.focus();
			return;
		}
		
		if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
			if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
				return;
		}
		
        docu.action="m05bGrabarTiposReformaServlet?Codigo=" + codigo + "&Accion=" + accion;
        docu.submit();
   }  // Fin funcion fncGrabar
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>